Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.response
Class DispositionReport

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.response.DispositionReport

All Implemented Interfaces:
  java.io.Serializable

public class DispositionReport
extends UDDIElement

Represents an UDDI defined error. This object is returned from certain UDDI API calls. Other UDDI APIs return a data object if success and generate a fault message if failure. The API returns the fault by throwing a UDDIException.

UDDIException usually contains a Disposition report that has detailed information about the UDDI error as defined by the UDDI specification. If the response is a SOAP fault, but does not contains a disposition report, a UDDIException may be thrown without containing a DispositionReport. This class contains defines for the various error values that can be returned.

Author:
  David Melgar (dmelgar@us.ibm.com), Ravi Trivedi (ravi_trivedi@hp.com), Ozzy (ozzy@hursley.ibm.com)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `E_accountLimitExceeded` Signifies that user account limits have been exceeded.
`static java.lang.String` | `E_assertionNotFound` Signifies that a particular publisher assertion (consisting of two businessKey values, and a keyed reference with three components) cannot be identified in a save or delete operation.
`static java.lang.String` | `E_authTokenExpired` Signifies that the authentication token value passed in the authInfo argument is no longer valid because the token has expired.
`static java.lang.String` | `E_authTokenRequired` Signifies that the authentication token value passed in the authInfo argument is either missing or is not valid.
`static java.lang.String` | `E_busy` Signifies that the request cannot be processed at the current time.
`static java.lang.String` | `E_categorizationNotAllowed` Restrictions have been placed by the taxonomy provider on the types of information that should be included at that location within a specific taxonomy.
`static java.lang.String` | `E_fatalError` Signifies that a serious technical error has occurred while processing the request.
`static java.lang.String` | `E_invalidCategory` Signifies that the given keyValue did not correspond to a category within the taxonomy identified by a tModelKey value within one of the categoryBag elements provided.
`static java.lang.String` | `E_invalidCompletionStatus` Signifies that one of assertion status values passed is unrecognized.
`static java.lang.String` | `E_invalidKeyPassed` Signifies that the request cannot be satisfied because one or more uuid_key values specified is not a valid key value.
`static java.lang.String` | `E_invalidProjection` Signifies that an attempt was made to save a businessEntity containing a service projection that does not match the businessService being projected.
`static java.lang.String` | `E_invalidURLPassed` An error occurred with one of the uploadRegister URL values.
`static java.lang.String` | `E_invalidValue` A value that was passed in a keyValue attribute did not pass validation.
`static java.lang.String` | `E_keyRetired` Signifies that the request cannot be satisfied because one or more uuid_key values specified has previously been hidden or removed by the requester.
`static java.lang.String` | `E_languageError` Signifies that an error was detected while processing elements that were annotated with xml:lang qualifiers.
`static java.lang.String` | `E_messageTooLarge` Signifies that the message it too large.
`static java.lang.String` | `E_nameTooLong` Signifies that the partial name value passed exceeds the maximum name length designated by the policy of an implementation or Operator Site.
`static java.lang.String` | `E_operatorMismatch` Signifies that one or more of the uuid_key values passed refers to data that is not controlled by the Operator Site that received the request for processing.
`static java.lang.String` | `E_publisherCancelled` Signifies that the target publisher cancelled the custody transfer operation.
`static java.lang.String` | `E_requestDenied` Signifies that a custody transfer request has been refused.
`static java.lang.String` | `E_requestTimeout` Signifies that the request could not be carried out because a needed validate_values service did not respond in a reasonable amount of time.
`static java.lang.String` | `E_secretUnknown` Signifies that the target publisher was unable to match the shared secret and the five (5) attempt limit was exhausted.
`static java.lang.String` | `E_success` Signifies no failure occurred.
`static java.lang.String` | `E_tooManyOptions` Signifies that too many or incompatible arguments were passed.
`static java.lang.String` | `E_transferAborted` Signifies that a custody transfer request will not succeed.
`static java.lang.String` | `E_unknownUser` Signifies that the user ID and password pair passed in a get_authToken message is not known to the Operator Site or is not valid.
`static java.lang.String` | `E_unrecognizedVersion` Signifies that the value of the generic attribute passed is unsupported by the Operator Instance being queried.
`static java.lang.String` | `E_unsupported` Signifies that the implementer does not support a feature or API.
`static java.lang.String` | `E_unvalidatable` Signifies that an attempt was made to reference a taxonomy or identifier system in a keyedReference whose tModel is categorized with the unvalidatable categorization.
`static java.lang.String` | `E_userMismatch` Signifies that one or more of the uuid_key values passed refers to data that is not controlled by the individual who is represented by the authentication token.
`static java.lang.String` | `E_valueNotAllowed` Signifies that a value did not pass validation because of contextual issues.
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`base, GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`DispositionReport()` Default constructor
`DispositionReport(org.w3c.dom.Element el)` Constructer that parses the XML dom tree and extracts useful attributes.

Method Summary
`java.lang.String` | `getErrCode()` Deprecated. This method has been deprecated. Use `getResultVector()` instead.
`java.lang.String` | `getErrCode(int index)` Deprecated. This method has been deprecated. Use `getResultVector()` instead.
`java.lang.String` | `getErrInfoText()` Deprecated. This method has been deprecated. Use `getResultVector()` instead.
`java.lang.String` | `getErrInfoText(int index)` Deprecated. This method has been deprecated. Use `getResultVector()` instead.
`int` | `getErrno()` Deprecated. This method has been deprecated. Use `getResultVector()` then
`int` | `getErrno(int index)` Deprecated. This method has been deprecated. Use `getResultVector()` instead.
`java.lang.String` | `getGeneric()`
`java.lang.String` | `getKeyType()` Deprecated. This method has been deprecated. Use `getResultVector()` instead.
`java.lang.String` | `getKeyType(int index)` Deprecated. This method has been deprecated. Use `getResultVector()` instead.
`int` | `getNumResults()`
`java.lang.String` | `getOperator()`
`java.util.Vector` | `getResultVector()` Retrieves the Vector containing the Result objects that were present in this DispositionReport.
`boolean` | `getTruncated()`
`boolean` | `isValidElement(org.w3c.dom.Element el)` Tests the passed in element to determine if the element is a serialized version of this object.
`void` | `saveToXML(org.w3c.dom.Element parent)`
`void` | `setErrCode(java.lang.String errCode)` Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.
`void` | `setErrCode(java.lang.String errCode, int index)` Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.
`void` | `setErrInfoText(java.lang.String errInfoText)` Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.
`void` | `setErrInfoText(java.lang.String errInfoText, int index)` Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.
`void` | `setErrno(int errno)` Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.
`void` | `setErrno(int errno, int index)` Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.
`void` | `setGeneric(java.lang.String gen)`
`void` | `setKeyType(java.lang.String keyType)` Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.
`void` | `setKeyType(java.lang.String keyType, int index)` Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.
`void` | `setOperator(java.lang.String oper)`
`void` | `setResultVector(java.util.Vector rv)` Set the Vector of result objects for this DispositionReport
`void` | `setTruncated(boolean t)`
`boolean` | `success()`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static java.lang.String UDDI_TAG

### E_assertionNotFound

    public static final java.lang.String E_assertionNotFound

  Signifies that a particular publisher assertion (consisting of two businessKey values, and a keyed reference with three components) cannot be identified in a save or delete operation.

  See Also:
    Constant Field Values

### E_authTokenExpired

    public static final java.lang.String E_authTokenExpired

  Signifies that the authentication token value passed in the authInfo argument is no longer valid because the token has expired.

  See Also:
    Constant Field Values

### E_authTokenRequired

    public static final java.lang.String E_authTokenRequired

  Signifies that the authentication token value passed in the authInfo argument is either missing or is not valid.

  See Also:
    Constant Field Values

### E_accountLimitExceeded

    public static final java.lang.String E_accountLimitExceeded

  Signifies that user account limits have been exceeded.

  See Also:
    Constant Field Values

### E_busy

    public static final java.lang.String E_busy

  Signifies that the request cannot be processed at the current time.

  See Also:
    Constant Field Values

### E_categorizationNotAllowed

    public static final java.lang.String E_categorizationNotAllowed

  Restrictions have been placed by the taxonomy provider on the types of information that should be included at that location within a specific taxonomy. The validation routine chosen by the Operator Site has rejected this tModel for at least one specified category.

  See Also:
    Constant Field Values

### E_fatalError

    public static final java.lang.String E_fatalError

  Signifies that a serious technical error has occurred while processing the request.

  See Also:
    Constant Field Values

### E_invalidKeyPassed

    public static final java.lang.String E_invalidKeyPassed

  Signifies that the request cannot be satisfied because one or more uuid_key values specified is not a valid key value. This will occur if a uuid_key value is passed in a tModel that does not match with any known tModel key.

  See Also:
    Constant Field Values

### E_invalidProjection

    public static final java.lang.String E_invalidProjection

  Signifies that an attempt was made to save a businessEntity containing a service projection that does not match the businessService being projected. The serviceKey of at least one such businessService will be included in the dispositionReport

  See Also:
    Constant Field Values

### E_invalidCategory

    public static final java.lang.String E_invalidCategory

  Signifies that the given keyValue did not correspond to a category within the taxonomy identified by a tModelKey value within one of the categoryBag elements provided.

  See Also:
    Constant Field Values

### E_invalidCompletionStatus

    public static final java.lang.String E_invalidCompletionStatus

  Signifies that one of assertion status values passed is unrecognized. The completion status that caused the problem will be clearly indicated in the error text.

  See Also:
    Constant Field Values

### E_invalidURLPassed

    public static final java.lang.String E_invalidURLPassed

  An error occurred with one of the uploadRegister URL values.

  See Also:
    Constant Field Values

### E_invalidValue

    public static final java.lang.String E_invalidValue

  A value that was passed in a keyValue attribute did not pass validation. This applies to checked categorizations, identifiers and other validated code lists. The error text will clearly indicate the key and value combination that failed validation.

  See Also:
    Constant Field Values

### E_keyRetired

    public static final java.lang.String E_keyRetired

  Signifies that the request cannot be satisfied because one or more uuid_key values specified has previously been hidden or removed by the requester. This specifically applies to the tModelKey values passed.

  See Also:
    Constant Field Values

### E_languageError

    public static final java.lang.String E_languageError

  Signifies that an error was detected while processing elements that were annotated with xml:lang qualifiers. Presently, only the description and name elements support xml:lang qualifications.

  See Also:
    Constant Field Values

### E_messageTooLarge

    public static final java.lang.String E_messageTooLarge

  Signifies that the message it too large. The upper limit will be clearly indicated in the error text.

  See Also:
    Constant Field Values

### E_nameTooLong

    public static final java.lang.String E_nameTooLong

  Signifies that the partial name value passed exceeds the maximum name length designated by the policy of an implementation or Operator Site.

  See Also:
    Constant Field Values

### E_operatorMismatch

    public static final java.lang.String E_operatorMismatch

  Signifies that one or more of the uuid_key values passed refers to data that is not controlled by the Operator Site that received the request for processing.

  See Also:
    Constant Field Values

### E_publisherCancelled

    public static final java.lang.String E_publisherCancelled

  Signifies that the target publisher cancelled the custody transfer operation.

  See Also:
    Constant Field Values

### E_requestDenied

    public static final java.lang.String E_requestDenied

  Signifies that a custody transfer request has been refused.

  See Also:
    Constant Field Values

### E_requestTimeout

    public static final java.lang.String E_requestTimeout

  Signifies that the request could not be carried out because a needed validate_values service did not respond in a reasonable amount of time.

  See Also:
    Constant Field Values

### E_secretUnknown

    public static final java.lang.String E_secretUnknown

  Signifies that the target publisher was unable to match the shared secret and the five (5) attempt limit was exhausted. The target operator automatically cancelled the transfer operation.

  See Also:
    Constant Field Values

### E_success

    public static final java.lang.String E_success

  Signifies no failure occurred. This return code is used with the dispositionReport for reporting results from requests with no natural response document.

  See Also:
    Constant Field Values

### E_tooManyOptions

    public static final java.lang.String E_tooManyOptions

  Signifies that too many or incompatible arguments were passed. The error text will clearly indicate the nature of the problem.

  See Also:
    Constant Field Values

### E_transferAborted

    public static final java.lang.String E_transferAborted

  Signifies that a custody transfer request will not succeed.

  See Also:
    Constant Field Values

### E_unrecognizedVersion

    public static final java.lang.String E_unrecognizedVersion

  Signifies that the value of the generic attribute passed is unsupported by the Operator Instance being queried.

  See Also:
    Constant Field Values

### E_unknownUser

    public static final java.lang.String E_unknownUser

  Signifies that the user ID and password pair passed in a get_authToken message is not known to the Operator Site or is not valid.

  See Also:
    Constant Field Values

### E_unsupported

    public static final java.lang.String E_unsupported

  Signifies that the implementer does not support a feature or API.

  See Also:
    Constant Field Values

### E_unvalidatable

    public static final java.lang.String E_unvalidatable

  Signifies that an attempt was made to reference a taxonomy or identifier system in a keyedReference whose tModel is categorized with the unvalidatable categorization.

  See Also:
    Constant Field Values

### E_userMismatch

    public static final java.lang.String E_userMismatch

  Signifies that one or more of the uuid_key values passed refers to data that is not controlled by the individual who is represented by the authentication token.

  See Also:
    Constant Field Values

### E_valueNotAllowed

    public static final java.lang.String E_valueNotAllowed

  Signifies that a value did not pass validation because of contextual issues. The value may be valid in some contexts, but not in the context used. The error text may contain information about the contextual problem.

  See Also:
    Constant Field Values

Constructor Detail

### DispositionReport

    public DispositionReport()

  Default constructor

### DispositionReport

    public DispositionReport(org.w3c.dom.Element el)
                      throws UDDIException

  Constructer that parses the XML dom tree and extracts useful attributes.

Parameters:
  `el` - Root element of the tree within the SOAP body.

Method Detail

### getTruncated

    public boolean getTruncated()

### getGeneric

    public java.lang.String getGeneric()

### getOperator

    public java.lang.String getOperator()

### success

    public boolean success()

### getErrno

    public int getErrno()

  Deprecated. This method has been deprecated. Use `getResultVector()` then

### getErrno

    public int getErrno(int index)

  Deprecated. This method has been deprecated. Use `getResultVector()` instead.

### getErrCode

    public java.lang.String getErrCode()

  Deprecated. This method has been deprecated. Use `getResultVector()` instead.

### getErrCode

    public java.lang.String getErrCode(int index)

  Deprecated. This method has been deprecated. Use `getResultVector()` instead.

### getErrInfoText

    public java.lang.String getErrInfoText()

  Deprecated. This method has been deprecated. Use `getResultVector()` instead.

### getErrInfoText

    public java.lang.String getErrInfoText(int index)

  Deprecated. This method has been deprecated. Use `getResultVector()` instead.

### getKeyType

    public java.lang.String getKeyType()

  Deprecated. This method has been deprecated. Use `getResultVector()` instead.

### getKeyType

    public java.lang.String getKeyType(int index)

  Deprecated. This method has been deprecated. Use `getResultVector()` instead.

### getResultVector

    public java.util.Vector getResultVector()

  Retrieves the Vector containing the Result objects that were present in this DispositionReport.

  Returns:
    s Vector the Vector of Result objects.

### getNumResults

    public int getNumResults()

### setGeneric

    public void setGeneric(java.lang.String gen)

### setOperator

    public void setOperator(java.lang.String oper)

### setTruncated

    public void setTruncated(boolean t)

### setErrno

    public void setErrno(int errno)

  Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.

### setErrno

    public void setErrno(int errno,
                         int index)

  Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.

### setErrCode

    public void setErrCode(java.lang.String errCode)

  Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.

### setErrCode

    public void setErrCode(java.lang.String errCode,
                           int index)

  Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.

### setErrInfoText

    public void setErrInfoText(java.lang.String errInfoText)

  Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.

### setErrInfoText

    public void setErrInfoText(java.lang.String errInfoText,
                               int index)

  Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.

### setKeyType

    public void setKeyType(java.lang.String keyType)

  Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.

### setKeyType

    public void setKeyType(java.lang.String keyType,
                           int index)

  Deprecated. This method has been deprecated. Use `setResultVector( Vector )` instead.

### setResultVector

    public void setResultVector(java.util.Vector rv)

  Set the Vector of result objects for this DispositionReport

  Parameters:
    `rv` - Vector of Result objects.

### isValidElement

    public boolean isValidElement(org.w3c.dom.Element el)

  Tests the passed in element to determine if the element is a serialized version of this object.

  Parameters:
    `el` - Root element for this object

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Specified by:
    `saveToXML` in class `UDDIElement`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.